import { ValueSelected } from './../../../model/common-model';
import { UserFilterHelper } from './user-filter-helper';
import { IFilterParams } from 'ag-grid-community';
import { User } from '../../../model/common-model';
import BaseFilter from '../base-filter';
import { ServiceBase } from "../../../data/service-base";
export declare class UserFilter<T extends User> extends BaseFilter {
    filterHelper: UserFilterHelper;
    init(params: IFilterParams & {
        userServiceName: string;
        userService: ServiceBase<T>;
    }): void;
    onOpenDropDown(): Promise<void>;
    setupContentGui(): Promise<string>;
    isFilterActive(): boolean;
    resetFilter(): void;
    removeFilterValue(filterValue: ValueSelected | number): void;
    getModel(): any;
    setModel(model: any): void;
    getValue(): Array<ValueSelected> | number;
    getModelAsString?(): string;
    setupContentGuiSideFilter(): string;
    protected dispose(): void;
    private removeDisposables;
    private setInstanceModel;
    private setDropdownName;
}
